> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Events

> Returns a list of prediction market events metadata.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /reference-data/events
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /reference-data/events:
    servers:
      - url: https://api.coinmetrics.io/v4
      - url: https://community-api.coinmetrics.io/v4
    get:
      tags:
        - Reference Data
      summary: Events
      description: Returns a list of prediction market events metadata.
      operationId: getReferenceDataEvents
      parameters:
        - $ref: '#/components/parameters/CatalogEventId'
        - $ref: '#/components/parameters/Exchange'
        - $ref: '#/components/parameters/EventTickers'
        - $ref: '#/components/parameters/ReferenceDataEventsIncludeExpired'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PagingFromWithStartByDefault'
        - $ref: '#/components/parameters/NextPageToken'
        - $ref: '#/components/parameters/CatalogResponseFormat'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/ReferenceDataEvents'
        '400':
          $ref: '#/components/responses/EventNotFound'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '414':
          $ref: '#/components/responses/UriTooLong'
      security:
        - api_key: []
components:
  parameters:
    CatalogEventId:
      description: >-
        Comma separated list of canonical Coin Metrics event IDs, e.g.
        `kalshi-KXDPRESPRIMARY-28SC`. By default all events are returned.
      in: query
      name: events
      schema:
        type: array
        items:
          type: string
      explode: false
    Exchange:
      description: Unique name of an exchange.
      in: query
      name: exchange
      schema:
        type: string
    EventTickers:
      description: >-
        Comma separated list of venue-native event tickers or slugs to match
        exactly, across prediction exchanges.
      in: query
      name: event_tickers
      schema:
        type: array
        items:
          type: string
      explode: false
    ReferenceDataEventsIncludeExpired:
      description: >-
        If `true`, include expired events (events whose scheduled close is in
        the past or unknown). Defaults to `false`, which returns only live
        events. May be combined with `exchange` or used alone;
        `include_expired=true` may additionally be combined with `events` or
        `event_tickers`.
      in: query
      name: include_expired
      schema:
        type: boolean
    PageSize:
      description: >-
        Number of items per single page of results.<br/> The value of this
        parameter is ignored if the endpoint supports the `format` parameter and
        its value is set to `json_stream`.
      in: query
      name: page_size
      schema:
        default: 100
        type: integer
        format: int32
        minimum: 1
        maximum: 10000
    PagingFromWithStartByDefault:
      description: >-
        Where does the first page start, at the start of the interval or at the
        end.<br/> The value of this parameter is ignored if the endpoint
        supports the `format` parameter and its value is set to `json_stream`.
      in: query
      name: paging_from
      schema:
        default: start
        enum:
          - start
          - end
        type: string
        format: PagingFrom
    NextPageToken:
      description: >-
        Token for receiving the results from the next page of a query.<br/>
        Should not be used directly. To iterate through pages just use
        `next_page_url` response field.
      in: query
      name: next_page_token
      schema:
        type: string
    CatalogResponseFormat:
      description: Format of the response. Supported values are `json`, `json_stream`.
      in: query
      name: format
      schema:
        type: string
        default: json
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    ReferenceDataEvents:
      description: List of events metadata.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ReferenceDataEventsResponse'
    EventNotFound:
      content:
        application/json:
          example:
            error:
              type: bad_parameter
              message: Bad parameter 'events'. Event 'kalshi-UNKNOWN' is not supported.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Event not found.
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      content:
        application/json:
          example:
            error:
              type: forbidden
              message: >-
                Requested metric 'SplyBMXNtv' with frequency '1d' for asset
                'btc' is not available with supplied credentials.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      description: Requested resource is not available with supplied credentials.
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    ReferenceDataEventsResponse:
      description: List of events.
      properties:
        data:
          items:
            $ref: '#/components/schemas/ReferenceDataEventInfo'
          type: array
        next_page_token:
          $ref: '#/components/schemas/NextPageToken'
        next_page_url:
          $ref: '#/components/schemas/NextPageUrl'
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    ReferenceDataEventInfo:
      description: Information about a prediction market event.
      type: object
      properties:
        event:
          description: >-
            Globally unique Coin Metrics identifier for the event, of the form
            `{exchange}-{event_ticker}`.
          type: string
        exchange:
          description: >-
            Coin Metrics identifier for the exchange or venue that defines the
            event.
          type: string
        event_ticker:
          description: Event identifier exactly as reported by the venue.
          type: string
        title:
          description: Primary human-readable title of the event.
          nullable: true
          type: string
        subtitle:
          description: Secondary human-readable event title supplied by the venue.
          nullable: true
          type: string
        description:
          description: Long-form description of the event supplied by the venue.
          nullable: true
          type: string
        category:
          description: Broad subject category assigned to the event by the venue.
          nullable: true
          type: string
        subcategory:
          description: More specific venue-provided classification within the category.
          nullable: true
          type: string
        series_ticker:
          description: >-
            Venue-native identifier of the recurring series or collection the
            event belongs to.
          nullable: true
          type: string
        series_title:
          description: Human-readable title of the series or collection.
          nullable: true
          type: string
        series_frequency:
          description: Venue-provided recurrence frequency of the series.
          nullable: true
          type: string
        mutually_exclusive:
          description: >-
            Whether the event's child markets represent mutually exclusive
            outcomes.
          nullable: true
          type: boolean
        status:
          description: >-
            Lifecycle status reported by, or derived from, the venue for the
            event. Values are venue-specific.
          nullable: true
          type: string
        created_time:
          description: UTC timestamp at which the event was created by the venue.
          nullable: true
          type: string
          format: date-time
        close_time:
          description: >-
            UTC timestamp at which the event is scheduled to close. Determines
            liveness.
          nullable: true
          type: string
          format: date-time
        neg_risk_enabled:
          description: >-
            Polymarket flag indicating that the event uses the negative-risk
            mechanism.
          nullable: true
          type: boolean
        neg_risk_augmented:
          description: >-
            Polymarket flag indicating that the negative-risk event supports
            adding outcomes after creation.
          nullable: true
          type: boolean
        tags:
          description: >-
            Venue-provided labels used to classify, group, or discover the
            event, passed through verbatim from the venue.
          nullable: true
          type: object
        strike_date:
          description: UTC date and time used by the event's strike definition.
          nullable: true
          type: string
          format: date-time
        strike_period:
          description: Time period used by the event's strike definition.
          nullable: true
          type: string
        collateral_return_type:
          description: Venue-reported treatment of collateral returns for the event.
          nullable: true
          type: string
        last_updated_time:
          description: >-
            UTC timestamp at which Coin Metrics last observed a change to this
            event's stored metadata.
          type: string
          format: date-time
      required:
        - event
        - exchange
        - event_ticker
        - last_updated_time
    NextPageToken:
      description: Token of the next page results for a given request.
      type: string
    NextPageUrl:
      description: URL of the next page results for a given request.
      type: string
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````